# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pico/version'

Gem::Specification.new do |spec|
  spec.name          = "pico"
  spec.version       = Pico::VERSION
  spec.authors       = ["ntl"]
  spec.email         = ["nathanladd+github@gmail.com"]
  spec.summary       = %q{Pico is a micro framework designed to get you some basic, essential functionality and then get out of your way.}
  spec.description   = %q{A very light weight framework for ruby designed to handle a small number of details common to most every application.}
  spec.homepage      = "https://github.com/ntl/pico"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^test/})
  spec.require_paths = ["lib"]

  spec.add_dependency "ruse", "~> 0.0.4"

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "colorize"
  spec.add_development_dependency "fakefs"
  spec.add_development_dependency "minitest"
  spec.add_development_dependency "minitest-reporters"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "rake"
end
